Subject: Re: [for-next 4/6] net/mlx5: FPGA, Add basic support for Innova

From: Jason Gunthorpe <jgunthorpe-ePGOBjL8dl3ta4EC/59zMFaTQe2KTcn/@public.gmane.org>
Date: Mon, 29 May 2017 10:02:52 -0600

On Mon, May 29, 2017 at 03:58:33PM +0000, Ilan Tayari wrote:
> > From: Jason Gunthorpe [mailto:jgunthorpe-ePGOBjL8dl3ta4EC/59zMFaTQe2KTcn/@public.gmane.org]
> > Subject: Re: [for-next 4/6] net/mlx5: FPGA, Add basic support for Innova
> > 
> > On Sun, May 28, 2017 at 07:22:27AM +0000, Ilan Tayari wrote:
> > 
> > > This is neither PCI-bar mapped, nor mailbox command.
> > > The FPGA is indeed a bump-on-the-wire.
> > > (It has I2C to the CX4 chip, but that is for debug purposes, and too
> > slow
> > > to perform real programming)
> > 
> > Wait.. So if it truely has nothing to do with the existing mellanox
> > driver, then nothing more than the fpga loader should be in the mlx5
> > directory?
> 
> True, except in specific cases when the FPGA may mangle the packets in
> a way that the netdevice configures, and the driver needs to adapt the
> data path.

> Such is the case of IPSec and TLS offloads.
> Those are tied to the mlx5 Ethernet driver (isolated with a kconfig).

But there is nothing stopping this sort of FPGA mangling logic being
downstream of any NIC, Mellanox is just the first to do this.

I think you'd be better to add something to the net stack to model
this post-nic mangling hardware, than trying to hide it in a driver.

Jason
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html